Subject: Re: bug#25987: 25.2; support gcc fixit notes

From: Tom Tromey <[email-masked]>
Date: Tue, 07 Mar 2017 06:54:15 -0700

Eli> Ouch! why did they do it in bytes?  That's worth a bug report, IMO.

I'll see if I can find out the rationale.

>> * One way for this to work would be to display the buffer and 
>> show the proposed change as an overlay;

Eli> Or maybe a tooltip on GUI frames?

Yeah.  Or even buttonizing the text so it could be fixed by clicking or
C-RET or something like that.

>> * However other approaches are possible, like letting the user request
>> no confirmation, or request "auto-apply all changes" or something.
>> Maybe a fixit should be associated with the previous error somehow.

Eli> Is there perhaps some "prior art" for this in other IDEs out there?

It's a good question but I don't know the answer.

Tom